package com.example.takeawaysystemserver.entity;

import jakarta.annotation.Nullable;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Ethereal
 * @date 2024/7/7
 * @description
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class User {
    private String id;
    private String username;
    @Nullable
    private String password;
    private String phone;
    @Nullable
    private String address;
    /**
     * - 0：被删除
     * - 1：正常
     * - 2：被封禁
     */
    private Integer status;
}
