package com.example.takeawaysystemserver.model.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author spyn
 * @date 2024/7/10
 * @description
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ShoppingCart {
    // 不需要用户ID，用户信息从token中获取
    private String shopId;
    /**
     * 订单子项
     */
    private ShoppingCartItem[] dishes;
    // 用户地址，用户可能会修改地址，故以该字段为准
    private String address;
}
