package com.example.takeawaysystemserver.model.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

/**
 * @author spyn
 * @date 2024/7/10
 * @description
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ShoppingCartItem {
    private String dishId;
    /**
     * 份数
     */
    private Integer count;
    /**
     * 子选项
     * [key: 类型，如“辣度选择”] : [value: 子选项，如"微辣"]
     * 注意这里value是String，而不是String[]，和Dish中的subOptions不同
     */
    private Map<String, String> subOptions;
}
